# boost::numeric::ublas::matrix_scalar_unary< E, F > Class Template Reference

Inherits scalar_expression< matrix_scalar_unary< E, F > >.

List of all members.

## Public Types

typedef E | expression_type
typedef F | functor_type
typedef F::result_type | value_type
typedef E::const_closure_type | expression_closure_type

## Public Member Functions

BOOST_UBLAS_INLINE | matrix_scalar_unary (const expression_type &e)
BOOST_UBLAS_INLINE | operator value_type () const

### template<class E, class F>
class boost::numeric::ublas::matrix_scalar_unary< E, F >